aboutsummaryrefslogtreecommitdiff
path: root/scripts/commands/:break
diff options
context:
space:
mode:
authorAkshay Nair <phenax5@gmail.com>2020-12-24 00:06:27 +0530
committerAkshay Nair <phenax5@gmail.com>2020-12-24 00:06:27 +0530
commit865728068c965e066d0f8971c5b5ba26e12e7dce (patch)
treec16195f0a04cf7d004fe5b396255734f4d60bb00 /scripts/commands/:break
parent649ef5f225039e498358c3d056dfd7fcbc56f014 (diff)
downloadnixos-config-865728068c965e066d0f8971c5b5ba26e12e7dce.tar.gz
nixos-config-865728068c965e066d0f8971c5b5ba26e12e7dce.zip
Adds scripts and links scripts and wallpapers
Diffstat (limited to '')
-rwxr-xr-xscripts/commands/:break14
1 files changed, 14 insertions, 0 deletions
diff --git a/scripts/commands/:break b/scripts/commands/:break
new file mode 100755
index 0000000..e6bde66
--- /dev/null
+++ b/scripts/commands/:break
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+
+reason=`echo -n "" | dmenu -p "Reason for break ::"`;
+
+operation=`[[ "$reason" =~ ^- ]] && echo "stop" || echo "start"`;
+
+reason=`echo $reason | sed 's/^-//g'`;
+([[ -z "$reason" ]]) && exit 1;
+
+if (ponos "$operation" "$reason"); then
+ notify-send "Break ${operation}ed";
+else
+ notify-send -u critical "Something went wrong";
+fi;